<div class="addNew_Forms" ng-controller="batchTagEditorController">
    <div class="panel panel-default">
        <div class="panel-heading">
            <h4>
                <span class="glyphicon glyphicon-tags" aria-hidden="true"></span>
                &nbsp;Batch tag editor
            </h4>
        </div>
        <div class="panel-body">
            <div class="row">
                <div class="col-md-6">
                    <div class="radio">
                        <label>
                            <input type="radio" value="not_recursive" ng-model="recursion" checked>
                            Save changes only in <b>this folder</b>
                        </label>
                    </div>
                    <div class="radio">
                        <label>
                            <input type="radio" value="recursive" ng-model="recursion">
                            Save changes in this folder and its <b>subfolders</b> (recursively)
                        </label>
                    </div>
                </div>
            </div>
            <div class="row">
                <hr>
                <div class="col-md-6">
                    <div class="input-group">
                        <input type="text" class="form-control" placeholder="Artist (keep blank to delete)"
                               ng-model="artistTag" ng-disabled="isSavingTagInProgress">
                            <span class="input-group-btn">
                                <button class="btn btn-default" type="button"
                                        ng-click="saveTagsChanges('artist')"
                                        ng-disabled="isSavingTagInProgress">
                                    Change artist
                                </button>
                            </span>
                    </div>
                    <br>
                    <div class="input-group">
                        <input type="text" class="form-control" placeholder="Album (keep blank to delete)"
                               ng-model="albumTag" ng-disabled="isSavingTagInProgress">
                            <span class="input-group-btn">
                                <button class="btn btn-default" type="button"
                                        ng-click="saveTagsChanges('album')"
                                        ng-disabled="isSavingTagInProgress">
                                    Change album
                                </button>
                            </span>
                    </div>
                    <br>
                    <div class="input-group">
                        <input type="text" class="form-control" placeholder="Year (keep blank to delete)"
                               ng-model="yearTag" ng-disabled="isSavingTagInProgress">
                            <span class="input-group-btn">
                                <button class="btn btn-default" type="button"
                                        ng-click="saveTagsChanges('year')"
                                        ng-disabled="isSavingTagInProgress">
                                    Change year
                                </button>
                            </span>
                    </div>
                    <br>
                </div>
                <div class="col-md-6">
                    <div class="row">
                        <div class="col-md-6">
                            Toggle visibility:
                            <div class="checkbox" ng-repeat="tag in visibilityArray">
                                <label>
                                    <input type="checkbox"
                                           ng-model="tag.isVisible" ng-change="rearrangeTrackName(tag)"
                                           ng-disabled="isSaveTrackNameInProgress">
                                    <span class="label label-default">{{tag.name}}</span>
                                    will be {{ tag.isVisible ? 'shown' : 'hidden' }}
                                </label>
                            </div>
                        </div>
                        <div class="col-md-6 draggable batch-tag">
                            Change track name order:
                            <ul class="list-group"
                                dnd-list="trackNameOrder"
                                dnd-disable-if="isSaveTrackNameInProgress">
                                <li class="list-group-item"
                                    ng-class="isSaveTrackNameInProgress ? 'disabled' : ''"
                                    ng-repeat="item in trackNameOrder" dnd-draggable="item"
                                    dnd-moved="trackNameOrder.splice($index, 1)">
                                    <span class="glyphicon glyphicon-sort sort-handle" aria-hidden="true"
                                          dnd-handle></span>
                                    {{item.tag}}
                                </li>
                            </ul>
                        </div>
                    </div>
                    <br>
                    <button class="btn btn-success btn-block"
                            ng-click="saveTrackNameChanges()" ng-disabled="isSaveTrackNameInProgress">
                        <span class="glyphicon glyphicon-floppy-disk" aria-hidden="true"></span>
                        &nbsp;Save track name changes
                    </button>
                </div>
            </div>
            <div class="row">
                <hr>
                <div class="col-md-3">
                    <button type="button" class="btn btn-warning btn-lg btn-block"
                            ng-click="resetTrackNumber()" ng-disabled="isResetTrackNumberInProgress">
                        Reset <span class="label label-default">track number</span> tag
                    </button>
                </div>
            </div>
            <br>
            <div class="alert" role="alert"
                 ng-class="response.type == 'success' ? 'alert-success' : 'alert-danger'"
                 ng-show="response.value.length">
                <b>{{ response.value }}</b>
            </div>
        </div>
    </div>
</div>
